//---------------------------------------------------------------------------
// (C) 2005 Morin Pascal
//---------------------------------------------------------------------------
#include <vcl.h>
#include <string.h>
#pragma hdrstop

#include "Unit1.h"
#include "About.h"
#include "DllUsbRfTx.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
//---------------------------------------------------------------------------
TForm1 *Form1;
AnsiString NomApplication="USB RF/TX";
unsigned int d1=0,d2=0,w1=0,w2=0,w3=0,w4=0;
int liste=0;

//---------------------------------------------------------------------------
__fastcall TForm1::TForm1(TComponent* Owner)
    : TForm(Owner)
{
}

//---------------------------------------------------------------------------
void __fastcall TForm1::Quitter1Click(TObject *Sender)
{
CloseUSB();
Close();
}

//---------------------------------------------------------------------------
void __fastcall TForm1::APropos1Click(TObject *Sender)
{
APropos->ShowModal();
}


//---------------------------------------------------------------------------

void __fastcall TForm1::FormShow(TObject *Sender)
{
Form1->Caption=NomApplication;
if (OpenUSB())
	{
	StatusBar1->Panels->Items[0]->Text="Connect";
    }
else
	{
    StatusBar1->Panels->Items[0]->Text="ERR";
    Application->MessageBox("Impossible d'acceder au montage via la liaison USB","Erreur de connection",MB_OK|MB_ICONERROR);
    }

}

//---------------------------------------------------------------------------
void __fastcall TForm1::ChangementEtat(TObject *Sender)
{
unsigned char canal,val;

val=0;

canal=ListBox1->ItemIndex+1;

if ((canal<1)||(canal>32))
    {
    Application->MessageBox("Selectionez une carte cible","Erreur de selection",MB_OK);
    return;
    }

if (CheckBox1->Checked) val+=0x01;
if (CheckBox2->Checked) val+=0x02;
if (CheckBox3->Checked) val+=0x04;
if (CheckBox4->Checked) val+=0x08;


if(RfTx(canal, val))
    {
    StatusBar1->Panels->Items[0]->Text="OK";
    }
else
    {
    StatusBar1->Panels->Items[0]->Text="ERR";
    }
}
//---------------------------------------------------------------------------

void __fastcall TForm1::Button3Click(TObject *Sender)
{
CheckBox1->Checked=false;
CheckBox2->Checked=false;
CheckBox3->Checked=false;
CheckBox4->Checked=false;

}
//---------------------------------------------------------------------------
void __fastcall TForm1::Button4Click(TObject *Sender)
{
CheckBox1->Checked=true;
CheckBox2->Checked=true;
CheckBox3->Checked=true;
CheckBox4->Checked=true;

}
//---------------------------------------------------------------------------

